AnsweredAssumed Answered

Can't activate Prorender in Blender 2.8

Question asked by cm123 on Jun 4, 2019
Latest reply on Jun 6, 2019 by colesdav

Installed the Prorender plugin for Blender 2.8 and the materials library successfully, but when I try to activate the plugin in the Blender Add-ons window it gives me the message:

Report: Error

Traceback (most recent call last):

File "/Applications/blender.app/Contents/Resources/2.80/scripts/modules/addon_utils .py", line 384, in enable
mod.register()
File "/Users/productionone/Library/Application Support/Blender/2.80/scripts/addons/rprblender/ _init_.py", line 111, in register 

bpy.utiIs.register_ class(RPREngine) 

ValueError: expected RenderEngine, RPREngine class "view_update" function to have 3 args, found 2

 

Running blender on an iMac on macOS 10.14.5 with a Radeon Pro 575 GPU

Has anyone had any luck fixing this?

 

thanks,

 

Chris

Outcomes